import requests
url = "https://api.paywise.de/partner/v1/userinvites/"
payload = {
"email": "[email protected]",
"success_url": "Max",
"failure_url": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
success_url: 'Max',
failure_url: 'Mustermann',
company: '6196ba03-83f2-46ea-83e1-a087bd0c5acc'
})
};
fetch('https://api.paywise.de/partner/v1/userinvites/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/partner/v1/userinvites/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"success_url\": \"Max\",\n \"failure_url\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v1/userinvites/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"[email protected]\",\n \"success_url\": \"Max\",\n \"failure_url\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/partner/v1/userinvites/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"success_url": "Max",
"failure_url": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
'{
"id": "c70e7a7b-8495-4a79-920e-25d4d0192511",
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "d16bfc7a-453c-4ea6-834a-25a586b5e4d6",
"success_url": "https://app.sample-partner.com/onboarding/success/",
"failure_url": "https://app.sample-partner.com/onboarding/failure/",
"invite_url": "http://app.paywise.de/partner/onboarding/c70e7a7b-8495-4a79-920e-25d4d0192511/",
"expiry": "2024-10-07T11:52:57.968546+02:00",
"status": "OPEN"
}{
"message": "<string>"
}{
"detail": "<string>"
}Create User Invite
Start onboarding of a new user in a company.
import requests
url = "https://api.paywise.de/partner/v1/userinvites/"
payload = {
"email": "[email protected]",
"success_url": "Max",
"failure_url": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
success_url: 'Max',
failure_url: 'Mustermann',
company: '6196ba03-83f2-46ea-83e1-a087bd0c5acc'
})
};
fetch('https://api.paywise.de/partner/v1/userinvites/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/partner/v1/userinvites/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"success_url\": \"Max\",\n \"failure_url\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v1/userinvites/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"[email protected]\",\n \"success_url\": \"Max\",\n \"failure_url\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/partner/v1/userinvites/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"success_url": "Max",
"failure_url": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
'{
"id": "c70e7a7b-8495-4a79-920e-25d4d0192511",
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "d16bfc7a-453c-4ea6-834a-25a586b5e4d6",
"success_url": "https://app.sample-partner.com/onboarding/success/",
"failure_url": "https://app.sample-partner.com/onboarding/failure/",
"invite_url": "http://app.paywise.de/partner/onboarding/c70e7a7b-8495-4a79-920e-25d4d0192511/",
"expiry": "2024-10-07T11:52:57.968546+02:00",
"status": "OPEN"
}{
"message": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
E-Mail of the user to invite
1UUID of the company that the user is going to be part of
Success URL - the user will be redirected here after successfully completing authentication flow
1Failure URL - the user will be redirected here if either the flow was cancelled or not completed for any other reason
11First name of the user
1Last name of the user
1Response
E-Mail of the user to invite
UUID of the company that the user is going to be part of
Success URL - the user will be redirected here after successfully completing authentication flow
Failure URL - the user will be redirected here if either the flow was cancelled or not completed for any other reason
Invite URL - Redirect your User to this URL for tem to complete the onboading process
Expiry date/time of the request. After this timestamp is expired, users will have to be re-registered with a new invite
Current status of the User invite
First name of the user
Last name of the user
